org.richfaces.model

## Class TreeSequenceKeyModel<V>

- java.lang.Object
- - javax.faces.model.DataModel<E>
  - - org.richfaces.model.ExtendedDataModel<V>
    - - org.richfaces.model.TreeSequenceKeyModel<V>

- All Implemented Interfaces:
    Iterable<V>, org.richfaces.model.TreeDataModel<V>
  Direct Known Subclasses:
    DeclarativeTreeDataModelImpl, NodesTreeSequenceKeyModel

      public abstract class TreeSequenceKeyModel<V>
      extends org.richfaces.model.ExtendedDataModel<V>
      implements org.richfaces.model.TreeDataModel<V>

  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from interface org.richfaces.model.TreeDataModel

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeSequenceKeyModel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `V` | `getData()`
    `Object` | `getParentRowKey(Object rowKey)`
    `int` | `getRowCount()`
    `V` | `getRowData()`
    `int` | `getRowIndex()`
    `org.richfaces.model.SequenceRowKey` | `getRowKey()`
    `boolean` | `isDataAvailable()`
    `boolean` | `isRowAvailable()`
    `protected void` | `setData(V data)`
    `void` | `setRowIndex(int rowIndex)`
    `void` | `setRowKey(Object rowKey)`
    `protected void` | `setRowKeyAndData(org.richfaces.model.SequenceRowKey key, V data)`
    `protected abstract void` | `setupKey(org.richfaces.model.SequenceRowKey key)`
    `void` | `walk(javax.faces.context.FacesContext context, org.richfaces.model.DataVisitor visitor, org.richfaces.model.Range range, Object argument)`

    - ### Methods inherited from class javax.faces.model.DataModel

      `addDataModelListener, getDataModelListeners, getWrappedData, iterator, removeDataModelListener, setWrappedData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.model.TreeDataModel

      `children, createSnapshot, getRowKeyConverter, getWrappedData, isLeaf, restoreFromSnapshot, setWrappedData`

- - ### Constructor Detail

    - #### TreeSequenceKeyModel

          public TreeSequenceKeyModel()

  - ### Method Detail

    - #### getRowKey

          public org.richfaces.model.SequenceRowKey getRowKey()

      Specified by:
        `getRowKey` in interface `org.richfaces.model.TreeDataModel<V>`
      Specified by:
        `getRowKey` in class `org.richfaces.model.ExtendedDataModel<V>`

    - #### setRowKey

          public void setRowKey(Object rowKey)

      Specified by:
        `setRowKey` in interface `org.richfaces.model.TreeDataModel<V>`
      Specified by:
        `setRowKey` in class `org.richfaces.model.ExtendedDataModel<V>`

    - #### setData

          protected void setData(V data)

    - #### setRowKeyAndData

          protected void setRowKeyAndData(org.richfaces.model.SequenceRowKey key,
                              V data)

    - #### isDataAvailable

          public boolean isDataAvailable()

      Specified by:
        `isDataAvailable` in interface `org.richfaces.model.TreeDataModel<V>`

    - #### getData

          public V getData()

      Specified by:
        `getData` in interface `org.richfaces.model.TreeDataModel<V>`

    - #### setupKey

          protected abstract void setupKey(org.richfaces.model.SequenceRowKey key)

    - #### walk

          public void walk(javax.faces.context.FacesContext context,
                  org.richfaces.model.DataVisitor visitor,
                  org.richfaces.model.Range range,
                  Object argument)

      Specified by:
        `walk` in class `org.richfaces.model.ExtendedDataModel<V>`

    - #### isRowAvailable

          public boolean isRowAvailable()

      Specified by:
        `isRowAvailable` in class `javax.faces.model.DataModel<V>`

    - #### getRowCount

          public int getRowCount()

      Specified by:
        `getRowCount` in class `javax.faces.model.DataModel<V>`

    - #### getRowData

          public V getRowData()

      Specified by:
        `getRowData` in class `javax.faces.model.DataModel<V>`

    - #### getRowIndex

          public int getRowIndex()

      Specified by:
        `getRowIndex` in class `javax.faces.model.DataModel<V>`

    - #### setRowIndex

          public void setRowIndex(int rowIndex)

      Specified by:
        `setRowIndex` in class `javax.faces.model.DataModel<V>`

    - #### getParentRowKey

          public Object getParentRowKey(Object rowKey)

      Specified by:
        `getParentRowKey` in interface `org.richfaces.model.TreeDataModel<V>`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.